
Redmine - Defect #37364

Complex ticket search causes 500 Internal Server Error

2022-06-28 12:06 - Pan Tau

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues filter Estimated time: 0.00 hour

Target version:    

Resolution: Cant reproduce Affected version: 4.2.6

Description

If you execute an complex ticket search like the following, than the application returns an 500 Internal Srver Error.

Configured search which is filled in the adressline, while executing:

/issues?utf8=✓&set_filter=1&sort=updated_on%3Adesc%2Cpriority%3Adesc&f[]=status_id&op[status_id]=%3D&v[status_id][]=1&v[st

atus_id][]=2&v[status_id][]=12&v[status_id][]=11&v[status_id][]=9&f[]=assigned_to_id&op[assigned_to_id]=%3D&v[assigned_to_id][]=

219&v[assigned_to_id][]=715&v[assigned_to_id][]=686&v[assigned_to_id][]=813&v[assigned_to_id][]=817&f[]=project_id&op[project_

id]=%3D&v[project_id][]=57&v[project_id][]=197&v[project_id][]=84&v[project_id][]=247&v[project_id][]=109&v[project_id][]=78&v[proj

ect_id][]=249&v[project_id][]=73&v[project_id][]=315&v[project_id][]=79&v[project_id][]=365&v[project_id][]=107&v[project_id][]=75&v[

project_id][]=322&v[project_id][]=366&v[project_id][]=96&v[project_id][]=150&v[project_id][]=128&v[project_id][]=70&v[project_id][]=1

30&v[project_id][]=102&v[project_id][]=162&v[project_id][]=347&v[project_id][]=108&v[project_id][]=155&v[project_id][]=319&v[project

_id][]=89&v[project_id][]=217&v[project_id][]=166&v[project_id][]=170&v[project_id][]=282&v[project_id][]=152&v[project_id][]=97&v[pr

oject_id][]=111&v[project_id][]=77&v[project_id][]=145&v[project_id][]=103&v[project_id][]=169&v[project_id][]=100&v[project_id][]=29

3&v[project_id][]=88&v[project_id][]=92&v[project_id][]=87&v[project_id][]=161&v[project_id][]=156&v[project_id][]=129&v[project_id][]

=147&v[project_id][]=135&v[project_id][]=271&v[project_id][]=263&v[project_id][]=178&v[project_id][]=94&v[project_id][]=104&v[proje

ct_id][]=264&v[project_id][]=297&v[project_id][]=177&v[project_id][]=165&v[project_id][]=136&v[project_id][]=137&v[project_id][]=171

&v[project_id][]=138&v[project_id][]=140&v[project_id][]=250&v[project_id][]=164&v[project_id][]=154&v[project_id][]=163&v[project_i

d][]=142&v[project_id][]=179&v[project_id][]=123&v[project_id][]=105&v[project_id][]=317&v[project_id][]=321&v[project_id][]=364&v[p

roject_id][]=182&v[project_id][]=110&v[project_id][]=188&v[project_id][]=117&v[project_id][]=172&v[project_id][]=144&v[project_id][]=

174&v[project_id][]=191&v[project_id][]=134&v[project_id][]=127&v[project_id][]=146&v[project_id][]=126&v[project_id][]=133&v[proje

ct_id][]=369&v[project_id][]=175&v[project_id][]=115&v[project_id][]=185&v[project_id][]=125&v[project_id][]=363&v[project_id][]=350

&v[project_id][]=168&v[project_id][]=148&v[project_id][]=151&v[project_id][]=184&v[project_id][]=153&v[project_id][]=131&v[project_i

d][]=167&v[project_id][]=116&v[project_id][]=186&v[project_id][]=124&v[project_id][]=149&v[project_id][]=121&v[project_id][]=119&v[p

roject_id][]=118&v[project_id][]=183&v[project_id][]=187&v[project_id][]=181&v[project_id][]=158&v[project_id][]=106&v[project_id][]=

290&v[project_id][]=222&v[project_id][]=316&v[project_id][]=159&v[project_id][]=340&v[project_id][]=192&v[project_id][]=219&v[proje

ct_id][]=193&v[project_id][]=114&v[project_id][]=200&v[project_id][]=287&v[project_id][]=120&v[project_id][]=132&v[project_id][]=218

&v[project_id][]=76&v[project_id][]=195&v[project_id][]=91&v[project_id][]=74&v[project_id][]=69&v[project_id][]=160&v[project_id][]=1

12&v[project_id][]=180&v[project_id][]=83&v[project_id][]=71&v[project_id][]=323&v[project_id][]=299&v[project_id][]=85&v[project_id]

[]=81&v[project_id][]=113&v[project_id][]=220&v[project_id][]=221&v[project_id][]=286&v[project_id][]=190&v[project_id][]=189&v[proj

ect_id][]=101&v[project_id][]=203&v[project_id][]=262&f[]=tracker_id&op[tracker_id]=%3D&v[tracker_id][]=1&f[]=&c[]=project&c[]=stat

us&c[]=subject&c[]=updated_on&c[]=assigned_to&group_by=assigned_to&t[]=

History

#1 - 2022-06-29 02:20 - Go MAEDA

Could you paste the error recorded in production.log?

#2 - 2022-10-02 10:07 - Marius BĂLTEANU

- Status changed from New to Closed

- Resolution set to Cant reproduce

That query works in my local environment, please provide the production.log as requested by Go MAEDA.
